Class | TMail::ContentDispositionHeader
In: | lib/tmail/header.rb
Parent: | StructuredHeader

### Methods

[] []= disposition disposition= params

### Constants

PARSE_TYPE | = | :CDISPOSITION

### Public Instance methods

[]( key )

[Source]

    # File lib/tmail/header.rb, line 889
        def []( key )
          ensure_parsed
          @params and unquote(@params[key])
        end

[]=( key, val )

[Source]

    # File lib/tmail/header.rb, line 894
        def []=( key, val )
          ensure_parsed
          (@params ||= {})[key] = val
        end

disposition()

[Source]

    # File lib/tmail/header.rb, line 869
        def disposition
          ensure_parsed
          @disposition
        end

disposition=( str )

[Source]

    # File lib/tmail/header.rb, line 874
        def disposition=( str )
          ensure_parsed
          @disposition = str.downcase
        end

params()

[Source]

    # File lib/tmail/header.rb, line 879
        def params
          ensure_parsed
          unless @params.blank?
            @params.each do |k, v|
              @params[k] = unquote(v)
            end
          end
          @params
        end

[Validate]